Download it now!
Bug 111000 - Opening an Microsoft RTF file with LO Writer will prevent Spellcheck from functioning correctly
Summary: Opening an Microsoft RTF file with LO Writer will prevent Spellcheck from fun...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF Spell-Checking
  Show dependency treegraph
 
Reported: 2017-08-01 18:47 UTC by Edward D Kukla Jr
Modified: 2018-04-04 13:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Microsoft WordPad files saved as RTF opened in LO -> LO Spellcheck fails (9.21 KB, application/RTF)
2017-08-03 19:08 UTC, Edward D Kukla Jr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward D Kukla Jr 2017-08-01 18:47:50 UTC
After opening an Microsoft RTF file with LO Writer, Spellcheck failed to indicate misspelled words, even if "F7 & Check document from beginning" were used. Spell check was compromised even after shutdown and restart.

I found out that if a single RTF was opened, then all other documents opened after did not have spellcheck functioning.

Partially resolved by re-configuring the Spellcheck. Spellcheck will work if activated, but misspelled words are not indicated even in ODF files previously created by LO.

Possible the LO configuration is corrupted by opening the RTF file?
Comment 1 Xisco Faulí 2017-08-02 17:59:00 UTC Comment hidden (obsolete)
Comment 2 Edward D Kukla Jr 2017-08-03 19:08:48 UTC
Created attachment 135105 [details]
Microsoft WordPad files saved as RTF opened in LO -> LO Spellcheck fails

This file was created in Microsoft 7 WordPad, saved as RTF file. When this RTF file is opened in LibreOffice (version below) on either Linux or Microsoft, the LO Spellcheck fails to function on this file, even after saved as an ODF file format. 

NOTE: Spellcheck will fail on all other files, as noted by no "wavy red line" indicator of miss-spelled words, and F7 -> Whole document failing to find obvious miss-spelled words.

Version: 5.3.4.2 (x64)
Build ID: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group
Comment 3 QA Administrators 2018-03-02 10:01:19 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2018-04-04 13:26:43 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180404